(local lazypath (.. (vim.fn.stdpath :data) :/lazy/lazy.nvim))

(if (not (vim.loop.fs_stat lazypath))
  (vim.fn.system
    [:git :clone :--filter=blob:none :https://github.com/folke/lazy.nvim.git :--branch=stable lazypath]))

(vim.opt.rtp:prepend lazypath)

(local lazy (require :lazy))
(local plug 1)

(local plugins [
	:udayvir-singh/tangerine.nvim
	:udayvir-singh/hibiscus.nvim

	:EdenEast/nightfox.nvim
	:nyoom-engineering/oxocarbon.nvim
	:lambdalisue/nerdfont.vim

	{ plug 	:catppuccin/nvim
	  :name :catppuccin
	  :priority 1000 }

	:gelguy/wilder.nvim
	:bkad/camelcasemotion
	:lewis6991/gitsigns.nvim

	{ plug :b0o/incline.nvim
	  :event [:BufReadPre] }

	:echasnovski/mini.nvim
	:brenoprata10/nvim-highlight-colors

	{ plug :svampkorg/moody.nvim
	  :event [:ModeChanged :BufWinEnter :WinEnter]
	  :opts [] }

	{ plug :stevearc/oil.nvim
	  :dependencies [:nvim-tree/nvim-web-devicons] }

	{ plug :nvim-telescope/telescope.nvim
	  :tag "0.1.8"
	  :dependencies [:nvim-lua/plenary.nvim] }

	{ plug :OXY2DEV/markview.nvim
	  :dependencies
	  [ :nvim-treesitter/nvim-treesitter
		:nvim-tree/nvim-web-devicons ] }

	; { plug :shellRaining/hlchunk.nvim
	;   :event [:BufReadPre :BufNewFile] }

	{ plug :ThePrimeagen/harpoon
	  :branch :harpoon2
	  :dependencies [:nvim-lua/plenary.nvim] }

	{ plug :nvim-lualine/lualine.nvim
	  :dependencies [:nvim-tree/nvim-web-devicons] }

	{ plug :nvim-treesitter/nvim-treesitter
	  :build ":TSUpdate" }

	{ plug :VonHeikemen/lsp-zero.nvim
	  :branch "v3.x"
	  :dependencies
	  [ :neovim/nvim-lspconfig
		:williamboman/mason.nvim
		:williamboman/mason-lspconfig.nvim

		:hrsh7th/nvim-cmp
		:hrsh7th/cmp-nvim-lsp
		:L3MON4D3/LuaSnip ]} ])

(lazy.setup plugins)
